//
//  TFTivoFinder.h
//  TivoFramework
//
//  Created by Wallace Wu on 08-10-22.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define ERR_TF_BROWSER						100001
#define ERR_TF_RESOLVE						100002
#define ERR_TF_MAK_VERIFICATION_FAILED		100003

@interface TFTivoFinder : NSObject {
	NSNetServiceBrowser *searcher;
	NSMutableDictionary *curDevices;
	NSMutableDictionary *removedDevices;
	NSMutableDictionary *unvalidatedDevices;
	NSObject *delegate;
	NSString *mediaKey;
}
-(id)init;
-(void)dealloc;

-(void)startMonitoring;
-(void)stop;

-(void)setDelegate:(id)aDelegate;

-(NSString*) mediaKey;
-(void) setMediaKey:(NSString*)theMediaKey;

@end
